Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config.plugins.util
Class PluginRegistry

    java.lang.Object
      org.apache.logging.log4j.core.config.plugins.util.PluginRegistry

    public class PluginRegistry

extends Object

Registry singleton for PluginType maps partitioned by source type and then by category names.

Nested Class Summary
`static class` | `PluginRegistry.PluginTest` A Test that checks to see if each class is annotated with the 'Plugin' annotation.

Method Summary
`void` | `clear()` Resets the registry to an empty state.
`void` | `clearBundlePlugins(long bundleId)`
`static PluginRegistry` | `getInstance()` Returns the global PluginRegistry instance.
`Map<Long,Map<String,List<PluginType<?>>>>` | `getPluginsByCategoryByBundleId()`
`Map<String,List<PluginType<?>>>` | `loadFromBundle(long bundleId, ClassLoader loader)`
`Map<String,List<PluginType<?>>>` | `loadFromMainClassLoader()`
`Map<String,List<PluginType<?>>>` | `loadFromPackage(String pkg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PluginRegistry getInstance()

  Returns the global PluginRegistry instance.

  Returns:
    the global PluginRegistry instance.
  Since:
    2.1

### clear

    public void clear()

  Resets the registry to an empty state.

### getPluginsByCategoryByBundleId

    public Map<Long,Map<String,List<PluginType<?>>>> getPluginsByCategoryByBundleId()

  Since:
    2.1

### loadFromMainClassLoader

    public Map<String,List<PluginType<?>>> loadFromMainClassLoader()

  Since:
    2.1

### clearBundlePlugins

    public void clearBundlePlugins(long bundleId)

  Since:
    2.1

### loadFromBundle

    public Map<String,List<PluginType<?>>> loadFromBundle(long bundleId,
                                                          ClassLoader loader)

  Since:
    2.1

### loadFromPackage

    public Map<String,List<PluginType<?>>> loadFromPackage(String pkg)

  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.